Package pygccxml :: Package declarations :: Module cpptypes :: Class compound_t

# type compound_t

source code

    object --+
             |
        type_t --+
                 |
                compound_t

Known Subclasses:
  - array_t
  - , const_t
  - , member_variable_type_t
  - , pointer_t
  - , reference_t
  - , restrict_t
  - , volatile_t

class that allows to represent compound types like `const int*`

Instance Methods

__init__(self, base) | source code

Inherited from `type_t`: `__eq__`, `__lt__`, `__ne__`, `__str__`, `build_decl_string`, `clone`

Properties
| base reference to internal/base class
Inherited from `type_t`: `byte_align`, `byte_size`, `decl_string`, `partial_decl_string`

Method Details

### __init__(self, base)
(Constructor)

source code

Overrides: type_t.__init__

Property Details

### base

reference to internal/base class

Get Method:
  _get_base(self)
Set Method:
  _set_base(self, new_base)